Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto.interfaces
Interface DHKey

All Known Subinterfaces:
  DHPrivateKey, DHPublicKey

    public interface DHKey

The interface to a Diffie-Hellman key.

Since:
  1.4
See Also:
  `DHParameterSpec`, `DHPublicKey`, `DHPrivateKey`

Method Summary
`DHParameterSpec` | `getParams()` Returns the key parameters.

Method Detail

### getParams

    DHParameterSpec getParams()

  Returns the key parameters.

  Returns:
    the key parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.